<?php
/************************************************************************/
/* Eleonline - Raccolta e diffusione dei dati elettorali                */
/* by Roberto Gigli & Luciano Apolito                                   */
/* http://www.eleonline.it                                              */
/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
/************************************************************************/
/* widget legge rss */



# configurazione
$url="http://www.guidonia.org/nuovo/comune/rss.php?siteid=24"; // link feed
$sito="http://www.guidonia.org/portale/comune/index.php?siteid=24"; // link sito
$titolo="News Ufficio Elettorale"; // titolo del blocco
$footer_rss="Vai al sito Elettorale "; // descrizione fine blocco per il link
# fine configurazione


echo "<h5>$titolo</h5>"; // titolo
$agent= $_SERVER['HTTP_USER_AGENT'];


	
	$rdf = parse_url($url);
	$fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
	//$fp = fsockopen($rdf['www.guidonia.org'], 80, $errno, $errstr, 15);
	if ($fp) {
	
	    if (!empty($rdf['query']))$rdf['query'] = "?" . $rdf['query'];

	    fputs($fp, "GET " . $rdf['path'] . $rdf['query'] . " HTTP/1.0\r\n");
	    fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
	    fputs($fp,"Content-type: application/x-www-form- urlencoded\r\n"); 
	    fputs($fp, "User-Agent: $agent \r\n");
fputs($fp, "Accept-Language: de-de,de;q=0.8,en-us;q=0.5,en;q=0.3\r\n");
fputs($fp, "Accept-Encoding: gzip,deflate\r\n");
fputs($fp, "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n");
fputs($fp, "Keep-Alive: 300\r\n");

	    $string	= "";
	    while(!feof($fp)) {
	    	$pagetext = fgets($fp,300);
	    	$string .= chop($pagetext);
	    }
	    fputs($fp,"Connection: close\r\n\r\n");
	    fclose($fp); 
	    $items = explode("</item>",$string);
	    $content = "<font class=\"content\">";
	    for ($i=0;$i<5;$i++) {
		$link = preg_replace("#.*<link>#","",$items[$i]);
		$link = preg_replace("#</link>.*#","",$link);
		$title2 = preg_replace("#.*<title>#","",$items[$i]);
		$title2 = preg_replace("#</title>.*#","",$title2);
		$title2 = stripslashes($title2);
		if (empty($items[$i]) AND $cont != 1) {
		    $content = "";
		    
		    return;
		} else {
		
		    if (strcmp($link,$title2) AND !empty($items[$i])) {
			$cont = 1;
			$content .= "<p><strong><a href=\"$link\" target=\"new\">$title2</a></strong></p>\n";
		    }
		}
	   

	}
	
   }
   


echo '<div>'.$content.'
<p style="text-align:center"><br/>[ <a href="'.$sito.'" target="_blank">'.$footer_rss.' </a> ]</p></div>';
?>
